Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 316665 - app-forensics/aide fails to update/compare with >=sys-libs/zlib-1.2.4
Summary: app-forensics/aide fails to update/compare with >=sys-libs/zlib-1.2.4
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Forensics Herd [disbanded]
URL: http://aide.cvs.sourceforge.net/viewv...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-22 13:19 UTC by Gilles Dartiguelongue
Modified: 2010-09-29 16:38 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gilles Dartiguelongue gentoo-dev 2010-04-22 13:19:35 UTC
Since I updated zlib to 1.2.4, aide has been failing to update it's database and send my daily report. I've been puzzled by the problem for a while until I remembered that zlib-1.2.4 upgrade caused some problems in other packages as well and sure enough, when I disabled gzip_output in my aide configuration and gunzip the existing files, it all started working again.

The output of aide was looking like this:
> [...]
> Output of the daily AIDE run (1 lines):
> Couldn't open file /var/lib/aide/aide.db.new for writing
Comment 1 Samuli Suominen gentoo-dev 2010-04-22 14:01:58 UTC
Gilles, you should try zlib-1.2.5 instead,  1.2.4 release was so bad it won't go stable (and is now overshadowed by 1.2.5 KEYWORDS).
Comment 2 Gilles Dartiguelongue gentoo-dev 2010-04-22 14:10:10 UTC
will do ASAP.
Comment 3 Gilles Dartiguelongue gentoo-dev 2010-04-23 14:19:59 UTC
Same problem with zlib-1.2.5:

# aide -V4 --update -c /etc/aide/aide.conf 
Couldn't open file /var/lib/aide/aide.db.new for writing
Comment 4 MATSUU Takuto (RETIRED) gentoo-dev 2010-05-26 11:37:35 UTC
Fixed in cvs.
0.13.1-r5
Comment 5 Gilles Dartiguelongue gentoo-dev 2010-09-29 16:38:32 UTC
confirming this works with sys-libs/zlib-1.2.5-r2 and app-forensics/aide-0.14.2. Thanks all.